#Example of configuration

#Cache config
#Redis:
adaptivecaching.cache.url=localhost
adaptivecaching.cache.port=6379

#Logging
adaptivecaching.cache.logging=DEBUG
adaptivecaching.monitoring.logging=DEBUG

#Repository config:
##MongoDB:
adaptivecaching.monitoring.db.scheme=cachemonitoring
adaptivecaching.monitoring.db.name=shopizer
adaptivecaching.monitoring.db.port=27017
adaptivecaching.monitoring.db.address=localhost

##Redis:
#adaptivecaching.monitoring.db.scheme=yourdb
#adaptivecaching.monitoring.db.name=logTrace
#adaptivecaching.monitoring.db.port=27017
#adaptivecaching.monitoring.db.address=localhost


#<defaultCache
#            maxElementsInMemory="10000"
#            eternal="false"
#            timeToIdleSeconds="120"
#            timeToLiveSeconds="120"
#            overflowToDisk="false"
#            diskSpoolBufferSizeMB="30"
#            maxElementsOnDisk="10000000"
#            diskPersistent="false"
#            diskExpiryThreadIntervalSeconds="120"
#            memoryStoreEvictionPolicy="LRU" />
#
#
#     <cache name="com.shopizer.OBJECT_CACHE"
#           maxElementsInMemory="10000"
#           eternal="false"
#           overflowToDisk="false"
#           timeToIdleSeconds="1200"
#           timeToLiveSeconds="1200"
#           memoryStoreEvictionPolicy="LFU" />